/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 *
 *  This file is part of GNU Classpath.
 *
 *  GNU Classpath is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  GNU Classpath is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Classpath; see the file COPYING.  If not, write to the
 *  University of Warsaw, Interdisciplinary Centre for Mathematical and
 *  Computational Modelling, Pawinskiego 5a, 02-106 Warsaw, Poland.
 *
 *  Linking this library statically or dynamically with other modules is
 *  making a combined work based on this library.  Thus, the terms and
 *  conditions of the GNU General Public License cover the whole
 *  combination.
 *
 *  As a special exception, the copyright holders of this library give you
 *  permission to link this library with independent modules to produce an
 *  executable, regardless of the license terms of these independent
 *  modules, and to copy and distribute the resulting executable under
 *  terms of your choice, provided that you also meet, for each linked
 *  independent module, the terms and conditions of the license of that
 *  module.  An independent module is a module which is not derived from
 *  or based on this library.  If you modify this library, you may extend
 *  this exception to your version of the library, but you are not
 *  obligated to do so.  If you do not wish to do so, delete this
 *  exception statement from your version.
 */
 
package org.visnow.vn.lib.basic.readers.ReadFluent;

import java.util.HashMap;

/**
 * @author Bartosz Borucki (babor@icm.edu.pl) Warsaw University,
 * Interdisciplinary Centre for Mathematical and Computational Modelling
 */
public class VariableNames
{

    private static HashMap<Integer, String> variables = null;

    public static HashMap<Integer, String> loadVariableNames()
    {

        if (variables != null)
            return variables;

        variables = new HashMap<Integer, String>();

        variables.put(1, "PRESSURE");
        variables.put(2, "MOMENTUM");
        variables.put(3, "TEMPERATURE");
        variables.put(4, "ENTHALPY");
        variables.put(5, "TKE");
        variables.put(6, "TED");
        variables.put(7, "SPECIES");
        variables.put(8, "G");
        variables.put(9, "WSWIRL");
        variables.put(10, "DPMS_MASS");
        variables.put(11, "DPMS_MOM");
        variables.put(12, "DPMS_ENERGY");
        variables.put(13, "DPMS_SPECIES");
        variables.put(14, "DVOLUME_DT");
        variables.put(15, "BODY_FORCES");
        variables.put(16, "FMEAN");
        variables.put(17, "FVAR");
        variables.put(18, "MASS_FLUX");
        variables.put(19, "WALL_SHEAR");
        variables.put(20, "BOUNDARY_HEAT_FLUX");
        variables.put(21, "BOUNDARY_RAD_HEAT_FLUX");
        variables.put(22, "OLD_PRESSURE");
        variables.put(23, "POLLUT");
        variables.put(24, "DPMS_P1_S");
        variables.put(25, "DPMS_P1_AP");
        variables.put(26, "WALL_GAS_TEMPERATURE");
        variables.put(27, "DPMS_P1_DIFF");
        variables.put(28, "DR_SURF");
        variables.put(29, "W_M1");
        variables.put(30, "W_M2");
        variables.put(31, "DPMS_BURNOUT");

        variables.put(32, "DPMS_CONCENTRATION");
        variables.put(33, "PDF_MW");
        variables.put(34, "DPMS_WSWIRL");
        variables.put(35, "YPLUS");
        variables.put(36, "YPLUS_UTAU");
        variables.put(37, "WALL_SHEAR_SWIRL");
        variables.put(38, "WALL_T_INNER");
        variables.put(39, "POLLUT0");
        variables.put(40, "POLLUT1");
        variables.put(41, "WALL_G_INNER");
        variables.put(42, "PREMIXC");
        variables.put(43, "PREMIXC_T");
        variables.put(44, "PREMIXC_RATE");
        variables.put(45, "POLLUT2");
        variables.put(46, "POLLUT3");
        variables.put(47, "MASS_FLUX_M1");
        variables.put(48, "MASS_FLUX_M2");
        variables.put(49, "GRID_FLUX");
        variables.put(50, "DO_I");
        variables.put(51, "DO_RECON_I");
        variables.put(52, "DO_ENERGY_SOURCE");
        variables.put(53, "DO_IRRAD");
        variables.put(54, "DO_QMINUS");
        variables.put(55, "DO_IRRAD_OLD");
        variables.put(56, "DO_IWX=56");
        variables.put(57, "DO_IWY");
        variables.put(58, "DO_IWZ");
        variables.put(59, "MACH");
        variables.put(60, "SLIP_U");
        variables.put(61, "SLIP_V");
        variables.put(62, "SLIP_W");
        variables.put(63, "SDR");
        variables.put(64, "SDR_M1");
        variables.put(65, "SDR_M2");
        variables.put(66, "POLLUT4");
        variables.put(67, "GRANULAR_TEMPERATURE");
        variables.put(68, "GRANULAR_TEMPERATURE_M1");
        variables.put(69, "GRANULAR_TEMPERATURE_M2");
        variables.put(70, "VFLUX");
        variables.put(80, "VFLUX_M1");
        variables.put(90, "VFLUX_M2");
        variables.put(91, "DO_QNET");
        variables.put(92, "DO_QTRANS");
        variables.put(93, "DO_QREFL");
        variables.put(94, "DO_QABS");
        variables.put(95, "POLLUT5");
        variables.put(96, "WALL_DIST");
        variables.put(97, "SOLAR_SOURCE");
        variables.put(98, "SOLAR_QREFL");
        variables.put(99, "SOLAR_QABS");
        variables.put(100, "SOLAR_QTRANS");
        variables.put(101, "DENSITY");
        variables.put(102, "MU_LAM");
        variables.put(103, "MU_TURB");
        variables.put(104, "CP");
        variables.put(105, "KTC");
        variables.put(106, "VGS_DTRM");
        variables.put(107, "VGF_DTRM");
        variables.put(108, "RSTRESS");
        variables.put(109, "THREAD_RAD_FLUX");
        variables.put(110, "SPE_Q");
        variables.put(111, "X_VELOCITY");
        variables.put(112, "Y_VELOCITY");
        variables.put(113, "Z_VELOCITY");
        variables.put(114, "WALL_VELOCITY");
        variables.put(115, "X_VELOCITY_M1");
        variables.put(116, "Y_VELOCITY_M1");
        variables.put(117, "Z_VELOCITY_M1");
        variables.put(118, "PHASE_MASS");
        variables.put(119, "TKE_M1");
        variables.put(120, "TED_M1");
        variables.put(121, "POLLUT6");
        variables.put(122, "X_VELOCITY_M2");
        variables.put(123, "Y_VELOCITY_M2");
        variables.put(124, "Z_VELOCITY_M2");
        variables.put(126, "TKE_M2");
        variables.put(127, "TED_M2");
        variables.put(128, "RUU");
        variables.put(129, "RVV");
        variables.put(130, "RWW");
        variables.put(131, "RUV");
        variables.put(132, "RVW");
        variables.put(133, "RUW");
        variables.put(134, "DPMS_EROSION");
        variables.put(135, "DPMS_ACCRETION");
        variables.put(136, "FMEAN2");
        variables.put(137, "FVAR2");
        variables.put(138, "ENTHALPY_M1");
        variables.put(139, "ENTHALPY_M2");
        variables.put(140, "FMEAN_M1");
        variables.put(141, "FMEAN_M2");
        variables.put(142, "FVAR_M1");
        variables.put(143, "FVAR_M2");
        variables.put(144, "FMEAN2_M1");
        variables.put(145, "FMEAN2_M2");
        variables.put(146, "FVAR2_M1");
        variables.put(147, "FVAR2_M2");
        variables.put(148, "PREMIXC_M1");
        variables.put(149, "PREMIXC_M2");
        variables.put(150, "VOF");
        variables.put(151, "VOF_1");
        variables.put(152, "VOF_2");
        variables.put(153, "VOF_3");
        variables.put(154, "VOF_4");
        variables.put(160, "VOF_M1");
        variables.put(161, "VOF_1_M1");
        variables.put(162, "VOF_2_M1");
        variables.put(163, "VOF_3_M1");
        variables.put(164, "VOF_4_M1");
        variables.put(170, "VOF_M2");
        variables.put(171, "VOF_1_M2");
        variables.put(172, "VOF_2_M2");
        variables.put(173, "VOF_3_M2");
        variables.put(174, "VOF_4_M2");
        variables.put(180, "VOLUME_M2");
        variables.put(181, "WALL_GRID_VELOCITY");
        variables.put(182, "POLLUT7");
        variables.put(183, "POLLUT8");
        variables.put(184, "POLLUT9");
        variables.put(185, "POLLUT10");
        variables.put(186, "POLLUT11");
        variables.put(187, "POLLUT12");
        variables.put(188, "POLLUT13");
        variables.put(190, "SV_T_AUX");
        variables.put(191, "SV_T_AP_AUX");
        variables.put(192, "TOTAL_PRESSURE");
        variables.put(193, "TOTAL_TEMPERATURE");
        variables.put(194, "NRBC_DC");
        variables.put(195, "DP_TMFR");

        variables.put(200, "Y_00");
        variables.put(201, "Y_01");
        variables.put(202, "Y_02");
        variables.put(203, "Y_03");
        variables.put(204, "Y_04");
        variables.put(205, "Y_05");
        variables.put(206, "Y_06");
        variables.put(207, "Y_07");
        variables.put(208, "Y_08");
        variables.put(209, "Y_09");
        variables.put(210, "Y_10");
        variables.put(211, "Y_11");
        variables.put(212, "Y_12");
        variables.put(213, "Y_13");
        variables.put(214, "Y_14");
        variables.put(215, "Y_15");
        variables.put(216, "Y_16");
        variables.put(217, "Y_17");
        variables.put(218, "Y_18");
        variables.put(219, "Y_19");
        variables.put(220, "Y_20");
        variables.put(221, "Y_21");
        variables.put(222, "Y_22");
        variables.put(223, "Y_23");
        variables.put(224, "Y_24");
        variables.put(225, "Y_25");
        variables.put(226, "Y_26");
        variables.put(227, "Y_27");
        variables.put(228, "Y_28");
        variables.put(229, "Y_29");
        variables.put(230, "Y_30");
        variables.put(231, "Y_31");
        variables.put(232, "Y_32");
        variables.put(233, "Y_33");
        variables.put(234, "Y_34");
        variables.put(235, "Y_35");
        variables.put(236, "Y_36");
        variables.put(237, "Y_37");
        variables.put(238, "Y_38");
        variables.put(239, "Y_39");
        variables.put(240, "Y_40");
        variables.put(241, "Y_41");
        variables.put(242, "Y_42");
        variables.put(243, "Y_43");
        variables.put(244, "Y_44");
        variables.put(245, "Y_45");
        variables.put(246, "Y_46");
        variables.put(247, "Y_47");
        variables.put(248, "Y_48");
        variables.put(249, "Y_49");

        variables.put(250, "Y_M1_00");
        variables.put(251, "Y_M1_01");
        variables.put(252, "Y_M1_02");
        variables.put(253, "Y_M1_03");
        variables.put(254, "Y_M1_04");
        variables.put(255, "Y_M1_05");
        variables.put(256, "Y_M1_06");
        variables.put(257, "Y_M1_07");
        variables.put(258, "Y_M1_08");
        variables.put(259, "Y_M1_09");
        variables.put(260, "Y_M1_10");
        variables.put(261, "Y_M1_11");
        variables.put(262, "Y_M1_12");
        variables.put(263, "Y_M1_13");
        variables.put(264, "Y_M1_14");
        variables.put(265, "Y_M1_15");
        variables.put(266, "Y_M1_16");
        variables.put(267, "Y_M1_17");
        variables.put(268, "Y_M1_18");
        variables.put(269, "Y_M1_19");
        variables.put(270, "Y_M1_20");
        variables.put(271, "Y_M1_21");
        variables.put(272, "Y_M1_22");
        variables.put(273, "Y_M1_23");
        variables.put(274, "Y_M1_24");
        variables.put(275, "Y_M1_25");
        variables.put(276, "Y_M1_26");
        variables.put(277, "Y_M1_27");
        variables.put(278, "Y_M1_28");
        variables.put(279, "Y_M1_29");
        variables.put(280, "Y_M1_30");
        variables.put(281, "Y_M1_31");
        variables.put(282, "Y_M1_32");
        variables.put(283, "Y_M1_33");
        variables.put(284, "Y_M1_34");
        variables.put(285, "Y_M1_35");
        variables.put(286, "Y_M1_36");
        variables.put(287, "Y_M1_37");
        variables.put(288, "Y_M1_38");
        variables.put(289, "Y_M1_39");
        variables.put(290, "Y_M1_40");
        variables.put(291, "Y_M1_41");
        variables.put(292, "Y_M1_42");
        variables.put(293, "Y_M1_43");
        variables.put(294, "Y_M1_44");
        variables.put(295, "Y_M1_45");
        variables.put(296, "Y_M1_46");
        variables.put(297, "Y_M1_47");
        variables.put(298, "Y_M1_48");
        variables.put(299, "Y_M1_49");

        variables.put(300, "Y_M2_00");
        variables.put(301, "Y_M2_01");
        variables.put(302, "Y_M2_02");
        variables.put(303, "Y_M2_03");
        variables.put(304, "Y_M2_04");
        variables.put(305, "Y_M2_05");
        variables.put(306, "Y_M2_06");
        variables.put(307, "Y_M2_07");
        variables.put(308, "Y_M2_08");
        variables.put(309, "Y_M2_09");
        variables.put(310, "Y_M2_10");
        variables.put(311, "Y_M2_11");
        variables.put(312, "Y_M2_12");
        variables.put(313, "Y_M2_13");
        variables.put(314, "Y_M2_14");
        variables.put(315, "Y_M2_15");
        variables.put(316, "Y_M2_16");
        variables.put(317, "Y_M2_17");
        variables.put(318, "Y_M2_18");
        variables.put(319, "Y_M2_19");
        variables.put(320, "Y_M2_20");
        variables.put(321, "Y_M2_21");
        variables.put(322, "Y_M2_22");
        variables.put(323, "Y_M2_23");
        variables.put(324, "Y_M2_24");
        variables.put(325, "Y_M2_25");
        variables.put(326, "Y_M2_26");
        variables.put(327, "Y_M2_27");
        variables.put(328, "Y_M2_28");
        variables.put(329, "Y_M2_29");
        variables.put(330, "Y_M2_30");
        variables.put(331, "Y_M2_31");
        variables.put(332, "Y_M2_32");
        variables.put(333, "Y_M2_33");
        variables.put(334, "Y_M2_34");
        variables.put(335, "Y_M2_35");
        variables.put(336, "Y_M2_36");
        variables.put(337, "Y_M2_37");
        variables.put(338, "Y_M2_38");
        variables.put(339, "Y_M2_39");
        variables.put(340, "Y_M2_40");
        variables.put(341, "Y_M2_41");
        variables.put(342, "Y_M2_42");
        variables.put(343, "Y_M2_43");
        variables.put(344, "Y_M2_44");
        variables.put(345, "Y_M2_45");
        variables.put(346, "Y_M2_46");
        variables.put(347, "Y_M2_47");
        variables.put(348, "Y_M2_48");
        variables.put(349, "Y_M2_49");

        variables.put(350, "DR_SURF_00");
        variables.put(351, "DR_SURF_01");
        variables.put(352, "DR_SURF_02");
        variables.put(353, "DR_SURF_03");
        variables.put(354, "DR_SURF_04");
        variables.put(355, "DR_SURF_05");
        variables.put(356, "DR_SURF_06");
        variables.put(357, "DR_SURF_07");
        variables.put(358, "DR_SURF_08");
        variables.put(359, "DR_SURF_09");
        variables.put(360, "DR_SURF_10");
        variables.put(361, "DR_SURF_11");
        variables.put(362, "DR_SURF_12");
        variables.put(363, "DR_SURF_13");
        variables.put(364, "DR_SURF_14");
        variables.put(365, "DR_SURF_15");
        variables.put(366, "DR_SURF_16");
        variables.put(367, "DR_SURF_17");
        variables.put(368, "DR_SURF_18");
        variables.put(369, "DR_SURF_19");
        variables.put(370, "DR_SURF_20");
        variables.put(371, "DR_SURF_21");
        variables.put(372, "DR_SURF_22");
        variables.put(373, "DR_SURF_23");
        variables.put(374, "DR_SURF_24");
        variables.put(375, "DR_SURF_25");
        variables.put(376, "DR_SURF_26");
        variables.put(377, "DR_SURF_27");
        variables.put(378, "DR_SURF_28");
        variables.put(379, "DR_SURF_29");
        variables.put(380, "DR_SURF_30");
        variables.put(381, "DR_SURF_31");
        variables.put(382, "DR_SURF_32");
        variables.put(383, "DR_SURF_33");
        variables.put(384, "DR_SURF_34");
        variables.put(385, "DR_SURF_35");
        variables.put(386, "DR_SURF_36");
        variables.put(387, "DR_SURF_37");
        variables.put(388, "DR_SURF_38");
        variables.put(389, "DR_SURF_39");
        variables.put(390, "DR_SURF_40");
        variables.put(391, "DR_SURF_41");
        variables.put(392, "DR_SURF_42");
        variables.put(393, "DR_SURF_43");
        variables.put(394, "DR_SURF_44");
        variables.put(395, "DR_SURF_45");
        variables.put(396, "DR_SURF_46");
        variables.put(397, "DR_SURF_47");
        variables.put(398, "DR_SURF_48");
        variables.put(399, "DR_SURF_49");

        variables.put(400, "PRESSURE_MEAN");
        variables.put(401, "PRESSURE_RMS");
        variables.put(402, "X_VELOCITY_MEAN");
        variables.put(403, "X_VELOCITY_RMS");
        variables.put(404, "Y_VELOCITY_MEAN");
        variables.put(405, "Y_VELOCITY_RMS");
        variables.put(406, "Z_VELOCITY_MEAN");
        variables.put(407, "Z_VELOCITY_RMS");
        variables.put(408, "TEMPERATURE_MEAN");
        variables.put(409, "TEMPERATURE_RMS");
        variables.put(410, "VOF_MEAN");
        variables.put(411, "VOF_RMS");
        variables.put(412, "PRESSURE_M1");
        variables.put(413, "PRESSURE_M2");
        variables.put(414, "GRANULAR_TEMPERATURE_MEAN");
        variables.put(415, "GRANULAR_TEMPERATURE_RMS");

        variables.put(450, "DPMS_Y_00");
        variables.put(451, "DPMS_Y_01");
        variables.put(452, "DPMS_Y_02");
        variables.put(453, "DPMS_Y_03");
        variables.put(454, "DPMS_Y_04");
        variables.put(455, "DPMS_Y_05");
        variables.put(456, "DPMS_Y_06");
        variables.put(457, "DPMS_Y_07");
        variables.put(458, "DPMS_Y_08");
        variables.put(459, "DPMS_Y_09");
        variables.put(460, "DPMS_Y_10");
        variables.put(461, "DPMS_Y_11");
        variables.put(462, "DPMS_Y_12");
        variables.put(463, "DPMS_Y_13");
        variables.put(464, "DPMS_Y_14");
        variables.put(465, "DPMS_Y_15");
        variables.put(466, "DPMS_Y_16");
        variables.put(467, "DPMS_Y_17");
        variables.put(468, "DPMS_Y_18");
        variables.put(469, "DPMS_Y_19");
        variables.put(470, "DPMS_Y_20");
        variables.put(471, "DPMS_Y_21");
        variables.put(472, "DPMS_Y_22");
        variables.put(473, "DPMS_Y_23");
        variables.put(474, "DPMS_Y_24");
        variables.put(475, "DPMS_Y_25");
        variables.put(476, "DPMS_Y_26");
        variables.put(477, "DPMS_Y_27");
        variables.put(478, "DPMS_Y_28");
        variables.put(479, "DPMS_Y_29");
        variables.put(480, "DPMS_Y_30");
        variables.put(481, "DPMS_Y_31");
        variables.put(482, "DPMS_Y_32");
        variables.put(483, "DPMS_Y_33");
        variables.put(484, "DPMS_Y_34");
        variables.put(485, "DPMS_Y_35");
        variables.put(486, "DPMS_Y_36");
        variables.put(487, "DPMS_Y_37");
        variables.put(488, "DPMS_Y_38");
        variables.put(489, "DPMS_Y_39");
        variables.put(490, "DPMS_Y_40");
        variables.put(491, "DPMS_Y_41");
        variables.put(492, "DPMS_Y_42");
        variables.put(493, "DPMS_Y_43");
        variables.put(494, "DPMS_Y_44");
        variables.put(495, "DPMS_Y_45");
        variables.put(496, "DPMS_Y_46");
        variables.put(497, "DPMS_Y_47");
        variables.put(498, "DPMS_Y_48");
        variables.put(499, "DPMS_Y_49");

        variables.put(500, "NUT");
        variables.put(501, "NUT_M1");
        variables.put(502, "NUT_M2");
        variables.put(503, "RUU_M1");
        variables.put(504, "RVV_M1");
        variables.put(505, "RWW_M1");
        variables.put(506, "RUV_M1");
        variables.put(507, "RVW_M1");
        variables.put(508, "RUW_M1");
        variables.put(509, "RUU_M2");
        variables.put(510, "RVV_M2");
        variables.put(511, "RWW_M2");
        variables.put(512, "RUV_M2");
        variables.put(513, "RVW_M2");
        variables.put(514, "RUW_M2");
        variables.put(515, "ENERGY_M1");
        variables.put(516, "ENERGY_M2");
        variables.put(517, "DENSITY_M1");
        variables.put(518, "DENSITY_M2");
        variables.put(519, "DPMS_PDF_1");
        variables.put(520, "DPMS_PDF_2");
        variables.put(521, "V2");
        variables.put(522, "V2_M1");
        variables.put(523, "V2_M2");
        variables.put(524, "FEL");
        variables.put(525, "FEL_M1");
        variables.put(526, "FEL_M2");
        variables.put(527, "LKE");
        variables.put(528, "LKE_M1");
        variables.put(529, "LKE_M2");
        variables.put(530, "SHELL_CELL_T");
        variables.put(531, "SHELL_FACE_T");
        variables.put(532, "SHELL_CELL_ENERGY_M1");
        variables.put(533, "SHELL_CELL_ENERGY_M2");
        variables.put(540, "DPMS_TKE");
        variables.put(541, "DPMS_D");
        variables.put(542, "DPMS_O");
        variables.put(543, "DPMS_TKE_RUU");
        variables.put(544, "DPMS_TKE_RVV");
        variables.put(545, "DPMS_TKE_RWW");
        variables.put(546, "DPMS_TKE_RUV");
        variables.put(547, "DPMS_TKE_RVW");
        variables.put(548, "DPMS_TKE_RUW");
        variables.put(549, "DPMS_DS_MASS");
        variables.put(550, "DPMS_DS_ENERGY");
        variables.put(551, "DPMS_DS_TKE");
        variables.put(552, "DPMS_DS_D");
        variables.put(553, "DPMS_DS_O");
        variables.put(554, "DPMS_DS_TKE_RUU");
        variables.put(555, "DPMS_DS_TKE_RVV");
        variables.put(556, "DPMS_DS_TKE_RWW");
        variables.put(557, "DPMS_DS_TKE_RUV");
        variables.put(558, "DPMS_DS_TKE_RVW");
        variables.put(559, "DPMS_DS_TKE_RUW");
        variables.put(560, "DPMS_DS_PDF_1");
        variables.put(561, "DPMS_DS_PDF_2");
        variables.put(562, "DPMS_DS_EMISS");
        variables.put(563, "DPMS_DS_ABS");
        variables.put(564, "DPMS_DS_SCAT");
        variables.put(565, "DPMS_DS_BURNOUT");
        variables.put(566, "DPMS_DS_MOM");
        variables.put(567, "DPMS_DS_WSWIRL");
        variables.put(580, "MU_TURB_L");
        variables.put(581, "MU_TURB_S");
        variables.put(582, "TKE_TRANS");
        variables.put(583, "TKE_TRANS_M1");
        variables.put(584, "TKE_TRANS_M2");
        variables.put(585, "MU_TURB_W");
        variables.put(600, "DELH");
        variables.put(601, "DPMS_MOM_AP");
        variables.put(602, "DPMS_WSWIRL_AP");
        variables.put(603, "X_PULL");
        variables.put(604, "Y_PULL");
        variables.put(605, "Z_PULL");
        variables.put(606, "LIQF");
        variables.put(610, "PDFT_QBAR");
        variables.put(611, "PDFT_PHI");
        variables.put(612, "PDFT_Q_TA");
        variables.put(613, "PDFT_SVOL_TA");
        variables.put(614, "PDFT_MASS_TA");
        variables.put(615, "PDFT_T4_TA");
        variables.put(620, "MICRO_MIX_FVAR1 ");
        variables.put(621, "MICRO_MIX_FVAR2 ");
        variables.put(622, "MICRO_MIX_FVAR3 ");
        variables.put(623, "MICRO_MIX_FVAR1_M1 ");
        variables.put(624, "MICRO_MIX_FVAR2_M1 ");
        variables.put(625, "MICRO_MIX_FVAR3_M1 ");
        variables.put(626, "MICRO_MIX_FVAR1_M2 ");
        variables.put(627, "MICRO_MIX_FVAR2_M2 ");
        variables.put(628, "MICRO_MIX_FVAR3_M2 ");
        variables.put(630, "SCAD_LES ");
        variables.put(635, "UFLA_Y    ");
        variables.put(636, "UFLA_Y_M1 ");
        variables.put(637, "UFLA_Y_M2 ");
        variables.put(645, "CREV_MASS");
        variables.put(646, "CREV_ENRG");
        variables.put(647, "CREV_MOM");
        variables.put(650, "ACOUSTICS_MODEL");
        variables.put(651, "AC_RECEIVERS_DATA");
        variables.put(652, "SV_DPDT_RMS");
        variables.put(653, "SV_PRESSURE_M1");
        variables.put(654, "AC_PERIODIC_INDEX");
        variables.put(655, "AC_PERIODIC_PS");
        variables.put(656, "AC_F_NORMAL");
        variables.put(657, "AC_F_CENTROID");
        variables.put(660, "IGNITE");
        variables.put(661, "IGNITE_M1");
        variables.put(662, "IGNITE_M2");
        variables.put(663, "IGNITE_RATE");

        variables.put(680, "WALL_SHEAR_MEAN");
        variables.put(681, "UV_MEAN");
        variables.put(682, "UW_MEAN");
        variables.put(683, "VW_MEAN");
        variables.put(684, "UT_MEAN");
        variables.put(685, "VT_MEAN");
        variables.put(686, "WT_MEAN");
        variables.put(687, "BOUNDARY_HEAT_FLUX_MEAN");

        variables.put(700, "UDS_00");
        variables.put(701, "UDS_01");
        variables.put(702, "UDS_02");
        variables.put(703, "UDS_03");
        variables.put(704, "UDS_04");
        variables.put(705, "UDS_05");
        variables.put(706, "UDS_06");
        variables.put(707, "UDS_07");
        variables.put(708, "UDS_08");
        variables.put(709, "UDS_09");
        variables.put(710, "UDS_10");
        variables.put(711, "UDS_11");
        variables.put(712, "UDS_12");
        variables.put(713, "UDS_13");
        variables.put(714, "UDS_14");
        variables.put(715, "UDS_15");
        variables.put(716, "UDS_16");
        variables.put(717, "UDS_17");
        variables.put(718, "UDS_18");
        variables.put(719, "UDS_19");
        variables.put(720, "UDS_20");
        variables.put(721, "UDS_21");
        variables.put(722, "UDS_22");
        variables.put(723, "UDS_23");
        variables.put(724, "UDS_24");
        variables.put(725, "UDS_25");
        variables.put(726, "UDS_26");
        variables.put(727, "UDS_27");
        variables.put(728, "UDS_28");
        variables.put(729, "UDS_29");
        variables.put(730, "UDS_30");
        variables.put(731, "UDS_31");
        variables.put(732, "UDS_32");
        variables.put(733, "UDS_33");
        variables.put(734, "UDS_34");
        variables.put(735, "UDS_35");
        variables.put(736, "UDS_36");
        variables.put(737, "UDS_37");
        variables.put(738, "UDS_38");
        variables.put(739, "UDS_39");
        variables.put(740, "UDS_40");
        variables.put(741, "UDS_41");
        variables.put(742, "UDS_42");
        variables.put(743, "UDS_43");
        variables.put(744, "UDS_44");
        variables.put(745, "UDS_45");
        variables.put(746, "UDS_46");
        variables.put(747, "UDS_47");
        variables.put(748, "UDS_48");
        variables.put(749, "UDS_49");

        variables.put(750, "UDS_M1_00");
        variables.put(751, "UDS_M1_01");
        variables.put(752, "UDS_M1_02");
        variables.put(753, "UDS_M1_03");
        variables.put(754, "UDS_M1_04");
        variables.put(755, "UDS_M1_05");
        variables.put(756, "UDS_M1_06");
        variables.put(757, "UDS_M1_07");
        variables.put(758, "UDS_M1_08");
        variables.put(759, "UDS_M1_09");
        variables.put(760, "UDS_M1_10");
        variables.put(761, "UDS_M1_11");
        variables.put(762, "UDS_M1_12");
        variables.put(763, "UDS_M1_13");
        variables.put(764, "UDS_M1_14");
        variables.put(765, "UDS_M1_15");
        variables.put(766, "UDS_M1_16");
        variables.put(767, "UDS_M1_17");
        variables.put(768, "UDS_M1_18");
        variables.put(769, "UDS_M1_19");
        variables.put(770, "UDS_M1_20");
        variables.put(771, "UDS_M1_21");
        variables.put(772, "UDS_M1_22");
        variables.put(773, "UDS_M1_23");
        variables.put(774, "UDS_M1_24");
        variables.put(775, "UDS_M1_25");
        variables.put(776, "UDS_M1_26");
        variables.put(777, "UDS_M1_27");
        variables.put(778, "UDS_M1_28");
        variables.put(779, "UDS_M1_29");
        variables.put(780, "UDS_M1_30");
        variables.put(781, "UDS_M1_31");
        variables.put(782, "UDS_M1_32");
        variables.put(783, "UDS_M1_33");
        variables.put(784, "UDS_M1_34");
        variables.put(785, "UDS_M1_35");
        variables.put(786, "UDS_M1_36");
        variables.put(787, "UDS_M1_37");
        variables.put(788, "UDS_M1_38");
        variables.put(789, "UDS_M1_39");
        variables.put(790, "UDS_M1_40");
        variables.put(791, "UDS_M1_41");
        variables.put(792, "UDS_M1_42");
        variables.put(793, "UDS_M1_43");
        variables.put(794, "UDS_M1_44");
        variables.put(795, "UDS_M1_45");
        variables.put(796, "UDS_M1_46");
        variables.put(797, "UDS_M1_47");
        variables.put(798, "UDS_M1_48");
        variables.put(799, "UDS_M1_49");

        variables.put(800, "UDS_M2_00");
        variables.put(801, "UDS_M2_01");
        variables.put(802, "UDS_M2_02");
        variables.put(803, "UDS_M2_03");
        variables.put(804, "UDS_M2_04");
        variables.put(805, "UDS_M2_05");
        variables.put(806, "UDS_M2_06");
        variables.put(807, "UDS_M2_07");
        variables.put(808, "UDS_M2_08");
        variables.put(809, "UDS_M2_09");
        variables.put(810, "UDS_M2_10");
        variables.put(811, "UDS_M2_11");
        variables.put(812, "UDS_M2_12");
        variables.put(813, "UDS_M2_13");
        variables.put(814, "UDS_M2_14");
        variables.put(815, "UDS_M2_15");
        variables.put(816, "UDS_M2_16");
        variables.put(817, "UDS_M2_17");
        variables.put(818, "UDS_M2_18");
        variables.put(819, "UDS_M2_19");
        variables.put(820, "UDS_M2_20");
        variables.put(821, "UDS_M2_21");
        variables.put(822, "UDS_M2_22");
        variables.put(823, "UDS_M2_23");
        variables.put(824, "UDS_M2_24");
        variables.put(825, "UDS_M2_25");
        variables.put(826, "UDS_M2_26");
        variables.put(827, "UDS_M2_27");
        variables.put(828, "UDS_M2_28");
        variables.put(829, "UDS_M2_29");
        variables.put(830, "UDS_M2_30");
        variables.put(831, "UDS_M2_31");
        variables.put(832, "UDS_M2_32");
        variables.put(833, "UDS_M2_33");
        variables.put(834, "UDS_M2_34");
        variables.put(835, "UDS_M2_35");
        variables.put(836, "UDS_M2_36");
        variables.put(837, "UDS_M2_37");
        variables.put(838, "UDS_M2_38");
        variables.put(839, "UDS_M2_39");
        variables.put(840, "UDS_M2_40");
        variables.put(841, "UDS_M2_41");
        variables.put(842, "UDS_M2_42");
        variables.put(843, "UDS_M2_43");
        variables.put(844, "UDS_M2_44");
        variables.put(845, "UDS_M2_45");
        variables.put(846, "UDS_M2_46");
        variables.put(847, "UDS_M2_47");
        variables.put(848, "UDS_M2_48");
        variables.put(849, "UDS_M2_49");

        variables.put(850, "DPMS_DS_Y_00");
        variables.put(851, "DPMS_DS_Y_01");
        variables.put(852, "DPMS_DS_Y_02");
        variables.put(853, "DPMS_DS_Y_03");
        variables.put(854, "DPMS_DS_Y_04");
        variables.put(855, "DPMS_DS_Y_05");
        variables.put(856, "DPMS_DS_Y_06");
        variables.put(857, "DPMS_DS_Y_07");
        variables.put(858, "DPMS_DS_Y_08");
        variables.put(859, "DPMS_DS_Y_09");
        variables.put(860, "DPMS_DS_Y_10");
        variables.put(861, "DPMS_DS_Y_11");
        variables.put(862, "DPMS_DS_Y_12");
        variables.put(863, "DPMS_DS_Y_13");
        variables.put(864, "DPMS_DS_Y_14");
        variables.put(865, "DPMS_DS_Y_15");
        variables.put(866, "DPMS_DS_Y_16");
        variables.put(867, "DPMS_DS_Y_17");
        variables.put(868, "DPMS_DS_Y_18");
        variables.put(869, "DPMS_DS_Y_19");
        variables.put(870, "DPMS_DS_Y_20");
        variables.put(871, "DPMS_DS_Y_21");
        variables.put(872, "DPMS_DS_Y_22");
        variables.put(873, "DPMS_DS_Y_23");
        variables.put(874, "DPMS_DS_Y_24");
        variables.put(875, "DPMS_DS_Y_25");
        variables.put(876, "DPMS_DS_Y_26");
        variables.put(877, "DPMS_DS_Y_27");
        variables.put(878, "DPMS_DS_Y_28");
        variables.put(879, "DPMS_DS_Y_29");
        variables.put(880, "DPMS_DS_Y_30");
        variables.put(881, "DPMS_DS_Y_31");
        variables.put(882, "DPMS_DS_Y_32");
        variables.put(883, "DPMS_DS_Y_33");
        variables.put(884, "DPMS_DS_Y_34");
        variables.put(885, "DPMS_DS_Y_35");
        variables.put(886, "DPMS_DS_Y_36");
        variables.put(887, "DPMS_DS_Y_37");
        variables.put(888, "DPMS_DS_Y_38");
        variables.put(889, "DPMS_DS_Y_39");
        variables.put(890, "DPMS_DS_Y_40");
        variables.put(891, "DPMS_DS_Y_41");
        variables.put(892, "DPMS_DS_Y_42");
        variables.put(893, "DPMS_DS_Y_43");
        variables.put(894, "DPMS_DS_Y_44");
        variables.put(895, "DPMS_DS_Y_45");
        variables.put(896, "DPMS_DS_Y_46");
        variables.put(897, "DPMS_DS_Y_47");
        variables.put(898, "DPMS_DS_Y_48");
        variables.put(899, "DPMS_DS_Y_49");

        variables.put(910, "GRANULAR_PRESSURE");
        variables.put(911, "DPMS_DS_P1_S");
        variables.put(912, "DPMS_DS_P1_AP");
        variables.put(913, "DPMS_DS_P1_DIFF");

        variables.put(920, "DPMS_DS_SURFACE_SPECIES_00");
        variables.put(921, "DPMS_DS_SURFACE_SPECIES_01");
        variables.put(922, "DPMS_DS_SURFACE_SPECIES_02");
        variables.put(923, "DPMS_DS_SURFACE_SPECIES_03");
        variables.put(924, "DPMS_DS_SURFACE_SPECIES_04");
        variables.put(925, "DPMS_DS_SURFACE_SPECIES_05");
        variables.put(926, "DPMS_DS_SURFACE_SPECIES_06");
        variables.put(927, "DPMS_DS_SURFACE_SPECIES_07");
        variables.put(928, "DPMS_DS_SURFACE_SPECIES_08");
        variables.put(929, "DPMS_DS_SURFACE_SPECIES_09");
        variables.put(930, "DPMS_DS_SURFACE_SPECIES_10");
        variables.put(931, "DPMS_DS_SURFACE_SPECIES_11");
        variables.put(932, "DPMS_DS_SURFACE_SPECIES_12");
        variables.put(933, "DPMS_DS_SURFACE_SPECIES_13");
        variables.put(934, "DPMS_DS_SURFACE_SPECIES_14");
        variables.put(935, "DPMS_DS_SURFACE_SPECIES_15");
        variables.put(936, "DPMS_DS_SURFACE_SPECIES_16");
        variables.put(937, "DPMS_DS_SURFACE_SPECIES_17");
        variables.put(938, "DPMS_DS_SURFACE_SPECIES_18");
        variables.put(939, "DPMS_DS_SURFACE_SPECIES_19");
        variables.put(940, "DPMS_DS_SURFACE_SPECIES_20");
        variables.put(941, "DPMS_DS_SURFACE_SPECIES_21");
        variables.put(942, "DPMS_DS_SURFACE_SPECIES_22");
        variables.put(943, "DPMS_DS_SURFACE_SPECIES_23");
        variables.put(944, "DPMS_DS_SURFACE_SPECIES_24");
        variables.put(945, "DPMS_DS_SURFACE_SPECIES_25");
        variables.put(946, "DPMS_DS_SURFACE_SPECIES_26");
        variables.put(947, "DPMS_DS_SURFACE_SPECIES_27");
        variables.put(948, "DPMS_DS_SURFACE_SPECIES_28");
        variables.put(949, "DPMS_DS_SURFACE_SPECIES_29");
        variables.put(950, "DPMS_DS_SURFACE_SPECIES_30");
        variables.put(951, "DPMS_DS_SURFACE_SPECIES_31");
        variables.put(952, "DPMS_DS_SURFACE_SPECIES_32");
        variables.put(953, "DPMS_DS_SURFACE_SPECIES_33");
        variables.put(954, "DPMS_DS_SURFACE_SPECIES_34");
        variables.put(955, "DPMS_DS_SURFACE_SPECIES_35");
        variables.put(956, "DPMS_DS_SURFACE_SPECIES_36");
        variables.put(957, "DPMS_DS_SURFACE_SPECIES_37");
        variables.put(958, "DPMS_DS_SURFACE_SPECIES_38");
        variables.put(959, "DPMS_DS_SURFACE_SPECIES_39");
        variables.put(960, "DPMS_DS_SURFACE_SPECIES_40");
        variables.put(961, "DPMS_DS_SURFACE_SPECIES_41");
        variables.put(962, "DPMS_DS_SURFACE_SPECIES_42");
        variables.put(963, "DPMS_DS_SURFACE_SPECIES_43");
        variables.put(964, "DPMS_DS_SURFACE_SPECIES_44");
        variables.put(965, "DPMS_DS_SURFACE_SPECIES_45");
        variables.put(966, "DPMS_DS_SURFACE_SPECIES_46");
        variables.put(967, "DPMS_DS_SURFACE_SPECIES_47");
        variables.put(968, "DPMS_DS_SURFACE_SPECIES_48");
        variables.put(969, "DPMS_DS_SURFACE_SPECIES_49");
        variables.put(970, "UDM_I");

        variables.put(1000, "Y_MEAN_00");
        variables.put(1001, "Y_MEAN_01");
        variables.put(1002, "Y_MEAN_02");
        variables.put(1003, "Y_MEAN_03");
        variables.put(1004, "Y_MEAN_04");
        variables.put(1005, "Y_MEAN_05");
        variables.put(1006, "Y_MEAN_06");
        variables.put(1007, "Y_MEAN_07");
        variables.put(1008, "Y_MEAN_08");
        variables.put(1009, "Y_MEAN_09");
        variables.put(1010, "Y_MEAN_10");
        variables.put(1011, "Y_MEAN_11");
        variables.put(1012, "Y_MEAN_12");
        variables.put(1013, "Y_MEAN_13");
        variables.put(1014, "Y_MEAN_14");
        variables.put(1015, "Y_MEAN_15");
        variables.put(1016, "Y_MEAN_16");
        variables.put(1017, "Y_MEAN_17");
        variables.put(1018, "Y_MEAN_18");
        variables.put(1019, "Y_MEAN_19");
        variables.put(1020, "Y_MEAN_20");
        variables.put(1021, "Y_MEAN_21");
        variables.put(1022, "Y_MEAN_22");
        variables.put(1023, "Y_MEAN_23");
        variables.put(1024, "Y_MEAN_24");
        variables.put(1025, "Y_MEAN_25");
        variables.put(1026, "Y_MEAN_26");
        variables.put(1027, "Y_MEAN_27");
        variables.put(1028, "Y_MEAN_28");
        variables.put(1029, "Y_MEAN_29");
        variables.put(1030, "Y_MEAN_30");
        variables.put(1031, "Y_MEAN_31");
        variables.put(1032, "Y_MEAN_32");
        variables.put(1033, "Y_MEAN_33");
        variables.put(1034, "Y_MEAN_34");
        variables.put(1035, "Y_MEAN_35");
        variables.put(1036, "Y_MEAN_36");
        variables.put(1037, "Y_MEAN_37");
        variables.put(1038, "Y_MEAN_38");
        variables.put(1039, "Y_MEAN_39");
        variables.put(1040, "Y_MEAN_40");
        variables.put(1041, "Y_MEAN_41");
        variables.put(1042, "Y_MEAN_42");
        variables.put(1043, "Y_MEAN_43");
        variables.put(1044, "Y_MEAN_44");
        variables.put(1045, "Y_MEAN_45");
        variables.put(1046, "Y_MEAN_46");
        variables.put(1047, "Y_MEAN_47");
        variables.put(1048, "Y_MEAN_48");
        variables.put(1049, "Y_MEAN_49");

        variables.put(1050, "Y_RMS_00");
        variables.put(1051, "Y_RMS_01");
        variables.put(1052, "Y_RMS_02");
        variables.put(1053, "Y_RMS_03");
        variables.put(1054, "Y_RMS_04");
        variables.put(1055, "Y_RMS_05");
        variables.put(1056, "Y_RMS_06");
        variables.put(1057, "Y_RMS_07");
        variables.put(1058, "Y_RMS_08");
        variables.put(1059, "Y_RMS_09");
        variables.put(1060, "Y_RMS_10");
        variables.put(1061, "Y_RMS_11");
        variables.put(1062, "Y_RMS_12");
        variables.put(1063, "Y_RMS_13");
        variables.put(1064, "Y_RMS_14");
        variables.put(1065, "Y_RMS_15");
        variables.put(1066, "Y_RMS_16");
        variables.put(1067, "Y_RMS_17");
        variables.put(1068, "Y_RMS_18");
        variables.put(1069, "Y_RMS_19");
        variables.put(1070, "Y_RMS_20");
        variables.put(1071, "Y_RMS_21");
        variables.put(1072, "Y_RMS_22");
        variables.put(1073, "Y_RMS_23");
        variables.put(1074, "Y_RMS_24");
        variables.put(1075, "Y_RMS_25");
        variables.put(1076, "Y_RMS_26");
        variables.put(1077, "Y_RMS_27");
        variables.put(1078, "Y_RMS_28");
        variables.put(1079, "Y_RMS_29");
        variables.put(1080, "Y_RMS_30");
        variables.put(1081, "Y_RMS_31");
        variables.put(1082, "Y_RMS_32");
        variables.put(1083, "Y_RMS_33");
        variables.put(1084, "Y_RMS_34");
        variables.put(1085, "Y_RMS_35");
        variables.put(1086, "Y_RMS_36");
        variables.put(1087, "Y_RMS_37");
        variables.put(1088, "Y_RMS_38");
        variables.put(1089, "Y_RMS_39");
        variables.put(1090, "Y_RMS_40");
        variables.put(1091, "Y_RMS_41");
        variables.put(1092, "Y_RMS_42");
        variables.put(1093, "Y_RMS_43");
        variables.put(1094, "Y_RMS_44");
        variables.put(1095, "Y_RMS_45");
        variables.put(1096, "Y_RMS_46");
        variables.put(1097, "Y_RMS_47");
        variables.put(1098, "Y_RMS_48");
        variables.put(1099, "Y_RMS_49");

        variables.put(1200, "SITE_F_00");
        variables.put(1201, "SITE_F_01");
        variables.put(1202, "SITE_F_02");
        variables.put(1203, "SITE_F_03");
        variables.put(1204, "SITE_F_04");
        variables.put(1205, "SITE_F_05");
        variables.put(1206, "SITE_F_06");
        variables.put(1207, "SITE_F_07");
        variables.put(1208, "SITE_F_08");
        variables.put(1209, "SITE_F_09");
        variables.put(1210, "SITE_F_10");
        variables.put(1211, "SITE_F_11");
        variables.put(1212, "SITE_F_12");
        variables.put(1213, "SITE_F_13");
        variables.put(1214, "SITE_F_14");
        variables.put(1215, "SITE_F_15");
        variables.put(1216, "SITE_F_16");
        variables.put(1217, "SITE_F_17");
        variables.put(1218, "SITE_F_18");
        variables.put(1219, "SITE_F_19");
        variables.put(1220, "SITE_F_20");
        variables.put(1221, "SITE_F_21");
        variables.put(1222, "SITE_F_22");
        variables.put(1223, "SITE_F_23");
        variables.put(1224, "SITE_F_24");
        variables.put(1225, "SITE_F_25");
        variables.put(1226, "SITE_F_26");
        variables.put(1227, "SITE_F_27");
        variables.put(1228, "SITE_F_28");
        variables.put(1229, "SITE_F_29");
        variables.put(1230, "SITE_F_30");
        variables.put(1231, "SITE_F_31");
        variables.put(1232, "SITE_F_32");
        variables.put(1233, "SITE_F_33");
        variables.put(1234, "SITE_F_34");
        variables.put(1235, "SITE_F_35");
        variables.put(1236, "SITE_F_36");
        variables.put(1237, "SITE_F_37");
        variables.put(1238, "SITE_F_38");
        variables.put(1239, "SITE_F_39");
        variables.put(1240, "SITE_F_40");
        variables.put(1241, "SITE_F_41");
        variables.put(1242, "SITE_F_42");
        variables.put(1243, "SITE_F_43");
        variables.put(1244, "SITE_F_44");
        variables.put(1245, "SITE_F_45");
        variables.put(1246, "SITE_F_46");
        variables.put(1247, "SITE_F_47");
        variables.put(1248, "SITE_F_48");
        variables.put(1249, "SITE_F_49");

        variables.put(1250, "CREV_Y_00");
        variables.put(1251, "CREV_Y_01");
        variables.put(1252, "CREV_Y_02");
        variables.put(1253, "CREV_Y_03");
        variables.put(1254, "CREV_Y_04");
        variables.put(1255, "CREV_Y_05");
        variables.put(1256, "CREV_Y_06");
        variables.put(1257, "CREV_Y_07");
        variables.put(1258, "CREV_Y_08");
        variables.put(1259, "CREV_Y_09");
        variables.put(1260, "CREV_Y_10");
        variables.put(1261, "CREV_Y_11");
        variables.put(1262, "CREV_Y_12");
        variables.put(1263, "CREV_Y_13");
        variables.put(1264, "CREV_Y_14");
        variables.put(1265, "CREV_Y_15");
        variables.put(1266, "CREV_Y_16");
        variables.put(1267, "CREV_Y_17");
        variables.put(1268, "CREV_Y_18");
        variables.put(1269, "CREV_Y_19");
        variables.put(1270, "CREV_Y_20");
        variables.put(1271, "CREV_Y_21");
        variables.put(1272, "CREV_Y_22");
        variables.put(1273, "CREV_Y_23");
        variables.put(1274, "CREV_Y_24");
        variables.put(1275, "CREV_Y_25");
        variables.put(1276, "CREV_Y_26");
        variables.put(1277, "CREV_Y_27");
        variables.put(1278, "CREV_Y_28");
        variables.put(1279, "CREV_Y_29");
        variables.put(1280, "CREV_Y_30");
        variables.put(1281, "CREV_Y_31");
        variables.put(1282, "CREV_Y_32");
        variables.put(1283, "CREV_Y_33");
        variables.put(1284, "CREV_Y_34");
        variables.put(1285, "CREV_Y_35");
        variables.put(1286, "CREV_Y_36");
        variables.put(1287, "CREV_Y_37");
        variables.put(1288, "CREV_Y_38");
        variables.put(1289, "CREV_Y_39");
        variables.put(1290, "CREV_Y_40");
        variables.put(1291, "CREV_Y_41");
        variables.put(1292, "CREV_Y_42");
        variables.put(1293, "CREV_Y_43");
        variables.put(1294, "CREV_Y_44");
        variables.put(1295, "CREV_Y_45");
        variables.put(1296, "CREV_Y_46");
        variables.put(1297, "CREV_Y_47");
        variables.put(1298, "CREV_Y_48");
        variables.put(1299, "CREV_Y_49");

        variables.put(1301, "WSB");
        variables.put(1302, "WSN");
        variables.put(1303, "WSR");
        variables.put(1304, "WSB_M1");
        variables.put(1305, "WSB_M2");
        variables.put(1306, "WSN_M1");
        variables.put(1307, "WSN_M2");
        variables.put(1308, "WSR_M1");
        variables.put(1309, "WSR_M2");
        variables.put(1310, "MASGEN");
        variables.put(1311, "NUCRAT");
        variables.put(1330, "TEMPERATURE_M1");
        variables.put(1331, "TEMPERATURE_M2");

        variables.put(1350, "SURF_F_00");
        variables.put(1351, "SURF_F_01");
        variables.put(1352, "SURF_F_02");
        variables.put(1353, "SURF_F_03");
        variables.put(1354, "SURF_F_04");
        variables.put(1355, "SURF_F_05");
        variables.put(1356, "SURF_F_06");
        variables.put(1357, "SURF_F_07");
        variables.put(1358, "SURF_F_08");
        variables.put(1359, "SURF_F_09");
        variables.put(1360, "SURF_F_10");
        variables.put(1361, "SURF_F_11");
        variables.put(1362, "SURF_F_12");
        variables.put(1363, "SURF_F_13");
        variables.put(1364, "SURF_F_14");
        variables.put(1365, "SURF_F_15");
        variables.put(1366, "SURF_F_16");
        variables.put(1367, "SURF_F_17");
        variables.put(1368, "SURF_F_18");
        variables.put(1369, "SURF_F_19");
        variables.put(1370, "SURF_F_20");
        variables.put(1371, "SURF_F_21");
        variables.put(1372, "SURF_F_22");
        variables.put(1373, "SURF_F_23");
        variables.put(1374, "SURF_F_24");
        variables.put(1375, "SURF_F_25");
        variables.put(1376, "SURF_F_26");
        variables.put(1377, "SURF_F_27");
        variables.put(1378, "SURF_F_28");
        variables.put(1379, "SURF_F_29");
        variables.put(1380, "SURF_F_30");
        variables.put(1381, "SURF_F_31");
        variables.put(1382, "SURF_F_32");
        variables.put(1383, "SURF_F_33");
        variables.put(1384, "SURF_F_34");
        variables.put(1385, "SURF_F_35");
        variables.put(1386, "SURF_F_36");
        variables.put(1387, "SURF_F_37");
        variables.put(1388, "SURF_F_38");
        variables.put(1389, "SURF_F_39");
        variables.put(1390, "SURF_F_40");
        variables.put(1391, "SURF_F_41");
        variables.put(1392, "SURF_F_42");
        variables.put(1393, "SURF_F_43");
        variables.put(1394, "SURF_F_44");
        variables.put(1395, "SURF_F_45");
        variables.put(1396, "SURF_F_46");
        variables.put(1397, "SURF_F_47");
        variables.put(1398, "SURF_F_48");
        variables.put(1399, "SURF_F_49");

        variables.put(7700, "PB_DISC_00");
        variables.put(7701, "PB_DISC_01");
        variables.put(7702, "PB_DISC_02");
        variables.put(7703, "PB_DISC_03");
        variables.put(7704, "PB_DISC_04");
        variables.put(7705, "PB_DISC_05");
        variables.put(7706, "PB_DISC_06");
        variables.put(7707, "PB_DISC_07");
        variables.put(7708, "PB_DISC_08");
        variables.put(7709, "PB_DISC_09");
        variables.put(7710, "PB_DISC_10");
        variables.put(7711, "PB_DISC_11");
        variables.put(7712, "PB_DISC_12");
        variables.put(7713, "PB_DISC_13");
        variables.put(7714, "PB_DISC_14");
        variables.put(7715, "PB_DISC_15");
        variables.put(7716, "PB_DISC_16");
        variables.put(7717, "PB_DISC_17");
        variables.put(7718, "PB_DISC_18");
        variables.put(7719, "PB_DISC_19");
        variables.put(7720, "PB_DISC_20");
        variables.put(7721, "PB_DISC_21");
        variables.put(7722, "PB_DISC_22");
        variables.put(7723, "PB_DISC_23");
        variables.put(7724, "PB_DISC_24");
        variables.put(7725, "PB_DISC_25");
        variables.put(7726, "PB_DISC_26");
        variables.put(7727, "PB_DISC_27");
        variables.put(7728, "PB_DISC_28");
        variables.put(7729, "PB_DISC_29");
        variables.put(7730, "PB_DISC_30");
        variables.put(7731, "PB_DISC_31");
        variables.put(7732, "PB_DISC_32");
        variables.put(7733, "PB_DISC_33");
        variables.put(7734, "PB_DISC_34");
        variables.put(7735, "PB_DISC_35");
        variables.put(7736, "PB_DISC_36");
        variables.put(7737, "PB_DISC_37");
        variables.put(7738, "PB_DISC_38");
        variables.put(7739, "PB_DISC_39");
        variables.put(7740, "PB_DISC_40");
        variables.put(7741, "PB_DISC_41");
        variables.put(7742, "PB_DISC_42");
        variables.put(7743, "PB_DISC_43");
        variables.put(7744, "PB_DISC_44");
        variables.put(7745, "PB_DISC_45");
        variables.put(7746, "PB_DISC_46");
        variables.put(7747, "PB_DISC_47");
        variables.put(7748, "PB_DISC_48");
        variables.put(7749, "PB_DISC_49");

        variables.put(7750, "PB_DISC_M1_00");
        variables.put(7751, "PB_DISC_M1_01");
        variables.put(7752, "PB_DISC_M1_02");
        variables.put(7753, "PB_DISC_M1_03");
        variables.put(7754, "PB_DISC_M1_04");
        variables.put(7755, "PB_DISC_M1_05");
        variables.put(7756, "PB_DISC_M1_06");
        variables.put(7757, "PB_DISC_M1_07");
        variables.put(7758, "PB_DISC_M1_08");
        variables.put(7759, "PB_DISC_M1_09");
        variables.put(7760, "PB_DISC_M1_10");
        variables.put(7761, "PB_DISC_M1_11");
        variables.put(7762, "PB_DISC_M1_12");
        variables.put(7763, "PB_DISC_M1_13");
        variables.put(7764, "PB_DISC_M1_14");
        variables.put(7765, "PB_DISC_M1_15");
        variables.put(7766, "PB_DISC_M1_16");
        variables.put(7767, "PB_DISC_M1_17");
        variables.put(7768, "PB_DISC_M1_18");
        variables.put(7769, "PB_DISC_M1_19");
        variables.put(7770, "PB_DISC_M1_20");
        variables.put(7771, "PB_DISC_M1_21");
        variables.put(7772, "PB_DISC_M1_22");
        variables.put(7773, "PB_DISC_M1_23");
        variables.put(7774, "PB_DISC_M1_24");
        variables.put(7775, "PB_DISC_M1_25");
        variables.put(7776, "PB_DISC_M1_26");
        variables.put(7777, "PB_DISC_M1_27");
        variables.put(7778, "PB_DISC_M1_28");
        variables.put(7779, "PB_DISC_M1_29");
        variables.put(7780, "PB_DISC_M1_30");
        variables.put(7781, "PB_DISC_M1_31");
        variables.put(7782, "PB_DISC_M1_32");
        variables.put(7783, "PB_DISC_M1_33");
        variables.put(7784, "PB_DISC_M1_34");
        variables.put(7785, "PB_DISC_M1_35");
        variables.put(7786, "PB_DISC_M1_36");
        variables.put(7787, "PB_DISC_M1_37");
        variables.put(7788, "PB_DISC_M1_38");
        variables.put(7789, "PB_DISC_M1_39");
        variables.put(7790, "PB_DISC_M1_40");
        variables.put(7791, "PB_DISC_M1_41");
        variables.put(7792, "PB_DISC_M1_42");
        variables.put(7793, "PB_DISC_M1_43");
        variables.put(7794, "PB_DISC_M1_44");
        variables.put(7795, "PB_DISC_M1_45");
        variables.put(7796, "PB_DISC_M1_46");
        variables.put(7797, "PB_DISC_M1_47");
        variables.put(7798, "PB_DISC_M1_48");
        variables.put(7799, "PB_DISC_M1_49");

        variables.put(7800, "PB_DISC_M2_00");
        variables.put(7801, "PB_DISC_M2_01");
        variables.put(7802, "PB_DISC_M2_02");
        variables.put(7803, "PB_DISC_M2_03");
        variables.put(7804, "PB_DISC_M2_04");
        variables.put(7805, "PB_DISC_M2_05");
        variables.put(7806, "PB_DISC_M2_06");
        variables.put(7807, "PB_DISC_M2_07");
        variables.put(7808, "PB_DISC_M2_08");
        variables.put(7809, "PB_DISC_M2_09");
        variables.put(7810, "PB_DISC_M2_10");
        variables.put(7811, "PB_DISC_M2_11");
        variables.put(7812, "PB_DISC_M2_12");
        variables.put(7813, "PB_DISC_M2_13");
        variables.put(7814, "PB_DISC_M2_14");
        variables.put(7815, "PB_DISC_M2_15");
        variables.put(7816, "PB_DISC_M2_16");
        variables.put(7817, "PB_DISC_M2_17");
        variables.put(7818, "PB_DISC_M2_18");
        variables.put(7819, "PB_DISC_M2_19");
        variables.put(7820, "PB_DISC_M2_20");
        variables.put(7821, "PB_DISC_M2_21");
        variables.put(7822, "PB_DISC_M2_22");
        variables.put(7823, "PB_DISC_M2_23");
        variables.put(7824, "PB_DISC_M2_24");
        variables.put(7825, "PB_DISC_M2_25");
        variables.put(7826, "PB_DISC_M2_26");
        variables.put(7827, "PB_DISC_M2_27");
        variables.put(7828, "PB_DISC_M2_28");
        variables.put(7829, "PB_DISC_M2_29");
        variables.put(7830, "PB_DISC_M2_30");
        variables.put(7831, "PB_DISC_M2_31");
        variables.put(7832, "PB_DISC_M2_32");
        variables.put(7833, "PB_DISC_M2_33");
        variables.put(7834, "PB_DISC_M2_34");
        variables.put(7835, "PB_DISC_M2_35");
        variables.put(7836, "PB_DISC_M2_36");
        variables.put(7837, "PB_DISC_M2_37");
        variables.put(7838, "PB_DISC_M2_38");
        variables.put(7839, "PB_DISC_M2_39");
        variables.put(7840, "PB_DISC_M2_40");
        variables.put(7841, "PB_DISC_M2_41");
        variables.put(7842, "PB_DISC_M2_42");
        variables.put(7843, "PB_DISC_M2_43");
        variables.put(7844, "PB_DISC_M2_44");
        variables.put(7845, "PB_DISC_M2_45");
        variables.put(7846, "PB_DISC_M2_46");
        variables.put(7847, "PB_DISC_M2_47");
        variables.put(7848, "PB_DISC_M2_48");
        variables.put(7849, "PB_DISC_M2_49");

        variables.put(7850, "PB_QMOM_00");
        variables.put(7851, "PB_QMOM_01");
        variables.put(7852, "PB_QMOM_02");
        variables.put(7853, "PB_QMOM_03");
        variables.put(7854, "PB_QMOM_04");
        variables.put(7855, "PB_QMOM_05");
        variables.put(7856, "PB_QMOM_06");
        variables.put(7857, "PB_QMOM_07");
        variables.put(7858, "PB_QMOM_08");
        variables.put(7859, "PB_QMOM_09");
        variables.put(7860, "PB_QMOM_10");
        variables.put(7861, "PB_QMOM_11");
        variables.put(7862, "PB_QMOM_12");
        variables.put(7863, "PB_QMOM_13");
        variables.put(7864, "PB_QMOM_14");
        variables.put(7865, "PB_QMOM_15");
        variables.put(7866, "PB_QMOM_16");
        variables.put(7867, "PB_QMOM_17");
        variables.put(7868, "PB_QMOM_18");
        variables.put(7869, "PB_QMOM_19");
        variables.put(7870, "PB_QMOM_20");
        variables.put(7871, "PB_QMOM_21");
        variables.put(7872, "PB_QMOM_22");
        variables.put(7873, "PB_QMOM_23");
        variables.put(7874, "PB_QMOM_24");
        variables.put(7875, "PB_QMOM_25");
        variables.put(7876, "PB_QMOM_26");
        variables.put(7877, "PB_QMOM_27");
        variables.put(7878, "PB_QMOM_28");
        variables.put(7879, "PB_QMOM_29");
        variables.put(7880, "PB_QMOM_30");
        variables.put(7881, "PB_QMOM_31");
        variables.put(7882, "PB_QMOM_32");
        variables.put(7883, "PB_QMOM_33");
        variables.put(7884, "PB_QMOM_34");
        variables.put(7885, "PB_QMOM_35");
        variables.put(7886, "PB_QMOM_36");
        variables.put(7887, "PB_QMOM_37");
        variables.put(7888, "PB_QMOM_38");
        variables.put(7889, "PB_QMOM_39");
        variables.put(7890, "PB_QMOM_40");
        variables.put(7891, "PB_QMOM_41");
        variables.put(7892, "PB_QMOM_42");
        variables.put(7893, "PB_QMOM_43");
        variables.put(7894, "PB_QMOM_44");
        variables.put(7895, "PB_QMOM_45");
        variables.put(7896, "PB_QMOM_46");
        variables.put(7897, "PB_QMOM_47");
        variables.put(7898, "PB_QMOM_48");
        variables.put(7899, "PB_QMOM_49");

        variables.put(7900, "PB_QMOM_M1_00");
        variables.put(7901, "PB_QMOM_M1_01");
        variables.put(7902, "PB_QMOM_M1_02");
        variables.put(7903, "PB_QMOM_M1_03");
        variables.put(7904, "PB_QMOM_M1_04");
        variables.put(7905, "PB_QMOM_M1_05");
        variables.put(7906, "PB_QMOM_M1_06");
        variables.put(7907, "PB_QMOM_M1_07");
        variables.put(7908, "PB_QMOM_M1_08");
        variables.put(7909, "PB_QMOM_M1_09");
        variables.put(7910, "PB_QMOM_M1_10");
        variables.put(7911, "PB_QMOM_M1_11");
        variables.put(7912, "PB_QMOM_M1_12");
        variables.put(7913, "PB_QMOM_M1_13");
        variables.put(7914, "PB_QMOM_M1_14");
        variables.put(7915, "PB_QMOM_M1_15");
        variables.put(7916, "PB_QMOM_M1_16");
        variables.put(7917, "PB_QMOM_M1_17");
        variables.put(7918, "PB_QMOM_M1_18");
        variables.put(7919, "PB_QMOM_M1_19");
        variables.put(7920, "PB_QMOM_M1_20");
        variables.put(7921, "PB_QMOM_M1_21");
        variables.put(7922, "PB_QMOM_M1_22");
        variables.put(7923, "PB_QMOM_M1_23");
        variables.put(7924, "PB_QMOM_M1_24");
        variables.put(7925, "PB_QMOM_M1_25");
        variables.put(7926, "PB_QMOM_M1_26");
        variables.put(7927, "PB_QMOM_M1_27");
        variables.put(7928, "PB_QMOM_M1_28");
        variables.put(7929, "PB_QMOM_M1_29");
        variables.put(7930, "PB_QMOM_M1_30");
        variables.put(7931, "PB_QMOM_M1_31");
        variables.put(7932, "PB_QMOM_M1_32");
        variables.put(7933, "PB_QMOM_M1_33");
        variables.put(7934, "PB_QMOM_M1_34");
        variables.put(7935, "PB_QMOM_M1_35");
        variables.put(7936, "PB_QMOM_M1_36");
        variables.put(7937, "PB_QMOM_M1_37");
        variables.put(7938, "PB_QMOM_M1_38");
        variables.put(7939, "PB_QMOM_M1_39");
        variables.put(7940, "PB_QMOM_M1_40");
        variables.put(7941, "PB_QMOM_M1_41");
        variables.put(7942, "PB_QMOM_M1_42");
        variables.put(7943, "PB_QMOM_M1_43");
        variables.put(7944, "PB_QMOM_M1_44");
        variables.put(7945, "PB_QMOM_M1_45");
        variables.put(7946, "PB_QMOM_M1_46");
        variables.put(7947, "PB_QMOM_M1_47");
        variables.put(7948, "PB_QMOM_M1_48");
        variables.put(7949, "PB_QMOM_M1_49");

        variables.put(7950, "PB_QMOM_M2_00");
        variables.put(7951, "PB_QMOM_M2_01");
        variables.put(7952, "PB_QMOM_M2_02");
        variables.put(7953, "PB_QMOM_M2_03");
        variables.put(7954, "PB_QMOM_M2_04");
        variables.put(7955, "PB_QMOM_M2_05");
        variables.put(7956, "PB_QMOM_M2_06");
        variables.put(7957, "PB_QMOM_M2_07");
        variables.put(7958, "PB_QMOM_M2_08");
        variables.put(7959, "PB_QMOM_M2_09");
        variables.put(7960, "PB_QMOM_M2_10");
        variables.put(7961, "PB_QMOM_M2_11");
        variables.put(7962, "PB_QMOM_M2_12");
        variables.put(7963, "PB_QMOM_M2_13");
        variables.put(7964, "PB_QMOM_M2_14");
        variables.put(7965, "PB_QMOM_M2_15");
        variables.put(7966, "PB_QMOM_M2_16");
        variables.put(7967, "PB_QMOM_M2_17");
        variables.put(7968, "PB_QMOM_M2_18");
        variables.put(7969, "PB_QMOM_M2_19");
        variables.put(7970, "PB_QMOM_M2_20");
        variables.put(7971, "PB_QMOM_M2_21");
        variables.put(7972, "PB_QMOM_M2_22");
        variables.put(7973, "PB_QMOM_M2_23");
        variables.put(7974, "PB_QMOM_M2_24");
        variables.put(7975, "PB_QMOM_M2_25");
        variables.put(7976, "PB_QMOM_M2_26");
        variables.put(7977, "PB_QMOM_M2_27");
        variables.put(7978, "PB_QMOM_M2_28");
        variables.put(7979, "PB_QMOM_M2_29");
        variables.put(7980, "PB_QMOM_M2_30");
        variables.put(7981, "PB_QMOM_M2_31");
        variables.put(7982, "PB_QMOM_M2_32");
        variables.put(7983, "PB_QMOM_M2_33");
        variables.put(7984, "PB_QMOM_M2_34");
        variables.put(7985, "PB_QMOM_M2_35");
        variables.put(7986, "PB_QMOM_M2_36");
        variables.put(7987, "PB_QMOM_M2_37");
        variables.put(7988, "PB_QMOM_M2_38");
        variables.put(7989, "PB_QMOM_M2_39");
        variables.put(7990, "PB_QMOM_M2_40");
        variables.put(7991, "PB_QMOM_M2_41");
        variables.put(7992, "PB_QMOM_M2_42");
        variables.put(7993, "PB_QMOM_M2_43");
        variables.put(7994, "PB_QMOM_M2_44");
        variables.put(7995, "PB_QMOM_M2_45");
        variables.put(7996, "PB_QMOM_M2_46");
        variables.put(7997, "PB_QMOM_M2_47");
        variables.put(7998, "PB_QMOM_M2_48");
        variables.put(7999, "PB_QMOM_M2_49");

        variables.put(8000, "PB_SMM_00");
        variables.put(8001, "PB_SMM_01");
        variables.put(8002, "PB_SMM_02");
        variables.put(8003, "PB_SMM_03");
        variables.put(8004, "PB_SMM_04");
        variables.put(8005, "PB_SMM_05");
        variables.put(8006, "PB_SMM_06");
        variables.put(8007, "PB_SMM_07");
        variables.put(8008, "PB_SMM_08");
        variables.put(8009, "PB_SMM_09");
        variables.put(8010, "PB_SMM_10");
        variables.put(8011, "PB_SMM_11");
        variables.put(8012, "PB_SMM_12");
        variables.put(8013, "PB_SMM_13");
        variables.put(8014, "PB_SMM_14");
        variables.put(8015, "PB_SMM_15");
        variables.put(8016, "PB_SMM_16");
        variables.put(8017, "PB_SMM_17");
        variables.put(8018, "PB_SMM_18");
        variables.put(8019, "PB_SMM_19");
        variables.put(8020, "PB_SMM_20");
        variables.put(8021, "PB_SMM_21");
        variables.put(8022, "PB_SMM_22");
        variables.put(8023, "PB_SMM_23");
        variables.put(8024, "PB_SMM_24");
        variables.put(8025, "PB_SMM_25");
        variables.put(8026, "PB_SMM_26");
        variables.put(8027, "PB_SMM_27");
        variables.put(8028, "PB_SMM_28");
        variables.put(8029, "PB_SMM_29");
        variables.put(8030, "PB_SMM_30");
        variables.put(8031, "PB_SMM_31");
        variables.put(8032, "PB_SMM_32");
        variables.put(8033, "PB_SMM_33");
        variables.put(8034, "PB_SMM_34");
        variables.put(8035, "PB_SMM_35");
        variables.put(8036, "PB_SMM_36");
        variables.put(8037, "PB_SMM_37");
        variables.put(8038, "PB_SMM_38");
        variables.put(8039, "PB_SMM_39");
        variables.put(8040, "PB_SMM_40");
        variables.put(8041, "PB_SMM_41");
        variables.put(8042, "PB_SMM_42");
        variables.put(8043, "PB_SMM_43");
        variables.put(8044, "PB_SMM_44");
        variables.put(8045, "PB_SMM_45");
        variables.put(8046, "PB_SMM_46");
        variables.put(8047, "PB_SMM_47");
        variables.put(8048, "PB_SMM_48");
        variables.put(8049, "PB_SMM_49");

        variables.put(8050, "PB_SMM_M1_00");
        variables.put(8051, "PB_SMM_M1_01");
        variables.put(8052, "PB_SMM_M1_02");
        variables.put(8053, "PB_SMM_M1_03");
        variables.put(8054, "PB_SMM_M1_04");
        variables.put(8055, "PB_SMM_M1_05");
        variables.put(8056, "PB_SMM_M1_06");
        variables.put(8057, "PB_SMM_M1_07");
        variables.put(8058, "PB_SMM_M1_08");
        variables.put(8059, "PB_SMM_M1_09");
        variables.put(8060, "PB_SMM_M1_10");
        variables.put(8061, "PB_SMM_M1_11");
        variables.put(8062, "PB_SMM_M1_12");
        variables.put(8063, "PB_SMM_M1_13");
        variables.put(8064, "PB_SMM_M1_14");
        variables.put(8065, "PB_SMM_M1_15");
        variables.put(8066, "PB_SMM_M1_16");
        variables.put(8067, "PB_SMM_M1_17");
        variables.put(8068, "PB_SMM_M1_18");
        variables.put(8069, "PB_SMM_M1_19");
        variables.put(8070, "PB_SMM_M1_20");
        variables.put(8071, "PB_SMM_M1_21");
        variables.put(8072, "PB_SMM_M1_22");
        variables.put(8073, "PB_SMM_M1_23");
        variables.put(8074, "PB_SMM_M1_24");
        variables.put(8075, "PB_SMM_M1_25");
        variables.put(8076, "PB_SMM_M1_26");
        variables.put(8077, "PB_SMM_M1_27");
        variables.put(8078, "PB_SMM_M1_28");
        variables.put(8079, "PB_SMM_M1_29");
        variables.put(8080, "PB_SMM_M1_30");
        variables.put(8081, "PB_SMM_M1_31");
        variables.put(8082, "PB_SMM_M1_32");
        variables.put(8083, "PB_SMM_M1_33");
        variables.put(8084, "PB_SMM_M1_34");
        variables.put(8085, "PB_SMM_M1_35");
        variables.put(8086, "PB_SMM_M1_36");
        variables.put(8087, "PB_SMM_M1_37");
        variables.put(8088, "PB_SMM_M1_38");
        variables.put(8089, "PB_SMM_M1_39");
        variables.put(8090, "PB_SMM_M1_40");
        variables.put(8091, "PB_SMM_M1_41");
        variables.put(8092, "PB_SMM_M1_42");
        variables.put(8093, "PB_SMM_M1_43");
        variables.put(8094, "PB_SMM_M1_44");
        variables.put(8095, "PB_SMM_M1_45");
        variables.put(8096, "PB_SMM_M1_46");
        variables.put(8097, "PB_SMM_M1_47");
        variables.put(8098, "PB_SMM_M1_48");
        variables.put(8099, "PB_SMM_M1_49");

        variables.put(8100, "PB_SMM_M2_00");
        variables.put(8101, "PB_SMM_M2_01");
        variables.put(8102, "PB_SMM_M2_02");
        variables.put(8103, "PB_SMM_M2_03");
        variables.put(8104, "PB_SMM_M2_04");
        variables.put(8105, "PB_SMM_M2_05");
        variables.put(8106, "PB_SMM_M2_06");
        variables.put(8107, "PB_SMM_M2_07");
        variables.put(8108, "PB_SMM_M2_08");
        variables.put(8109, "PB_SMM_M2_09");
        variables.put(8110, "PB_SMM_M2_10");
        variables.put(8111, "PB_SMM_M2_11");
        variables.put(8112, "PB_SMM_M2_12");
        variables.put(8113, "PB_SMM_M2_13");
        variables.put(8114, "PB_SMM_M2_14");
        variables.put(8115, "PB_SMM_M2_15");
        variables.put(8116, "PB_SMM_M2_16");
        variables.put(8117, "PB_SMM_M2_17");
        variables.put(8118, "PB_SMM_M2_18");
        variables.put(8119, "PB_SMM_M2_19");
        variables.put(8120, "PB_SMM_M2_20");
        variables.put(8121, "PB_SMM_M2_21");
        variables.put(8122, "PB_SMM_M2_22");
        variables.put(8123, "PB_SMM_M2_23");
        variables.put(8124, "PB_SMM_M2_24");
        variables.put(8125, "PB_SMM_M2_25");
        variables.put(8126, "PB_SMM_M2_26");
        variables.put(8127, "PB_SMM_M2_27");
        variables.put(8128, "PB_SMM_M2_28");
        variables.put(8129, "PB_SMM_M2_29");
        variables.put(8130, "PB_SMM_M2_30");
        variables.put(8131, "PB_SMM_M2_31");
        variables.put(8132, "PB_SMM_M2_32");
        variables.put(8133, "PB_SMM_M2_33");
        variables.put(8134, "PB_SMM_M2_34");
        variables.put(8135, "PB_SMM_M2_35");
        variables.put(8136, "PB_SMM_M2_36");
        variables.put(8137, "PB_SMM_M2_37");
        variables.put(8138, "PB_SMM_M2_38");
        variables.put(8139, "PB_SMM_M2_39");
        variables.put(8140, "PB_SMM_M2_40");
        variables.put(8141, "PB_SMM_M2_41");
        variables.put(8142, "PB_SMM_M2_42");
        variables.put(8143, "PB_SMM_M2_43");
        variables.put(8144, "PB_SMM_M2_44");
        variables.put(8145, "PB_SMM_M2_45");
        variables.put(8146, "PB_SMM_M2_46");
        variables.put(8147, "PB_SMM_M2_47");
        variables.put(8148, "PB_SMM_M2_48");
        variables.put(8149, "PB_SMM_M2_49");

        return variables;
    }
}
